Bug 1235700 - After the task is completed, it is still visible as running in Tasks in webadmin
Summary: After the task is completed, it is still visible as running in Tasks in webadmin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.6.0
Assignee: Barak
QA Contact: Petr Kubica
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-25 14:16 UTC by Petr Kubica
Modified: 2016-02-10 19:31 UTC (History)
9 users (show)

Fixed In Version: 3.6.0-4_alpha3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 11:42:31 UTC
oVirt Team: Infra


Attachments (Terms of Use)
screenshot (117.94 KB, image/png)
2015-06-25 14:16 UTC, Petr Kubica
no flags Details
vdsm-log from vh2 (67.90 KB, application/x-gzip)
2015-06-25 14:16 UTC, Petr Kubica
no flags Details
engine logs (463.13 KB, application/x-gzip)
2015-06-25 14:17 UTC, Petr Kubica
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 42639 0 master MERGED core: Fix Found two representations of same collection Never

Description Petr Kubica 2015-06-25 14:16:08 UTC
Created attachment 1043132 [details]
screenshot

Description of problem:
I successfully added a host to engine and it turned up. In tab Task is still visible as installing and it never change status to completed. See the attached screenshot 

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.6.0-0.0.master.20150624173726.git0568f1b.el6

How reproducible:
100%

Steps to Reproduce:
1. have a clean engine
2. add some hosts 

Actual results:
Status of the tasks is never changed to complete

Expected results:
-

Additional info:
attached screenshot

Comment 1 Petr Kubica 2015-06-25 14:16:38 UTC
Created attachment 1043134 [details]
vdsm-log from vh2

Comment 2 Petr Kubica 2015-06-25 14:17:06 UTC
Created attachment 1043135 [details]
engine logs

Comment 3 Oved Ourfali 2015-06-28 06:39:04 UTC
Liran - might be related to the job/step changes?
Perhaps the fix you posted fixes it.

Comment 4 Petr Kubica 2015-07-29 12:27:38 UTC
Verified in 3.6.0-0.0.master.20150726172446.git65db93d.el6

Comment 6 Sandro Bonazzola 2015-11-04 11:42:31 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.